Установка Cinnamon 2 на Ubuntu 13.04

Я недавно обновился до Ubuntu 13.04, с 12.04 (через 12.10), где я использовал Cinnamon 1.8.

После обновления я безуспешно пытался переустановить Cinnamon.

Я пытался:

  • Из репо 13.04, но «ничего» не происходит, когда я выбираю Cinnamon из меню входа в систему (под «ничто» я имею в виду, что я получаю пустой экран и там ошибки в системном журнале означают, что корица не запускается правильно)

  • Из стабильного ppa разработчика: в настоящее время это корица 2.02, но установка завершается неудачно с неудовлетворенными зависимостями:

    The following packages have unmet dependencies.
    
        cinnamon : Depends: libcogl-pango0 (>= 1.7.4) but it is not installable
                   Depends: libcogl9 (>= 1.9.6) but it is not installable
    
    [ 113]
  • Из пакетов .deb в ppa разработчика, специфичных для 13.04, но они производят много неудовлетворенных зависимостей (как и следовало ожидать)

Я думаю, что 13.04 репо с 1.7.4 Cinnamon означает, что моя конфигурация 1.8 (каким-то образом) не позволяет запустить ее. Но я не понимаю, почему установка из стабильного репозитория разработчика может завершиться неудачей с неудовлетворенными зависимостями.

Кто-нибудь еще встречался и решил это?

действительно пытался ладить с Unity, но не могу)

2
задан 15.04.2020, 23:33

1 ответ

Я решил свою собственную проблему (не проверял, работает ли он, но теперь установлена ​​cinnamon 2.0.2 edit Да - в Ubuntu 13.04 работает «отлично»: «отлично») = случайные блокировки, вероятно, связанные с nVidia)

Проблема заключалась в том, что ppa от Quantel лежал в моих источниках и, следовательно, сбивал с толку apt. Я думаю, это была моя вина, хотя я не помню, чтобы я добавил ppa ... Я был на Quantel около 2 часов.

Поэтому, чтобы решить эту проблему, я вручную удалил мошеннический ppa из моих источников, а затем привел в порядок, используя:

sudo apt-get install -f

sudo apt-get autoremove

sudo apt-get update

sudo apt-get upgrade

Это привело ко всем установленным пакетам в счастливое состояние. Затем я проверил детали для корицы:

sudo apt-cache policy cinnamon
cinnamon:
  Installed: (none)
  Candidate: 2.0.2-20131011040008-raring
  Version table:
     2.0.2-20131011040008-raring 0
        500 http://ppa.launchpad.net/gwendal-lebihan-dev/cinnamon-stable/ubuntu/ raring/main i386 Packages
        100 /var/lib/dpkg/status
     1.7.4-1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ raring/universe i386 Packages

Установка корицы все еще не удалась:

sudo apt-get install cinnamon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
 cinnamon : Depends: cinnamon-common (= 2.0.2-20131011040008-raring) but 2.0.2-20131011040209-quantal is to be installed
        Recommends: nemo but it is not going to be installed
        Recommends: cinnamon-screensaver but it is not going to be installed
        Recommends: gir1.2-cjsdbus-1.0 but it is not installable
        Recommends: cinnamon-bluetooth but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Это было связано с моей установкой корицы через .deb (см. Мой вопрос ). [1 110]

Удалено, что:

sudo apt-get remove cinnamon-common

, а затем прямая установка работала.

1113 Итак, моя вина; пакет в порядке.

1
ответ дан 15.04.2020, 23:33
  • 1
    Корица 2.0.2 хорошо работает. I' ve не попробованная Единица начиная с установки все же. Коричные тупики с Nvidia плохо в 3,04 и 3.10. Лучше в 3.10 обновлениях. Не попробованный 3.13. (версии 3.xx направляют в Nvidia собственные пакеты. Отрицательный результат драйверов Nouveau) – Jason Govig 15.04.2020, 23:33
  • 2
    и у Вас была Корица, 2.0.2 работы и сессия единицы сделали это хорошо работать? – Matthieu M. 15.04.2020, 23:34

Теги

Похожие вопросы